/***************************************************************************//**
 *   @file   AD8403.h
 *   @brief  Header file of AD8403 Driver.
 *   @author Dan Nechita
********************************************************************************
 * Copyright 2012(c) Analog Devices, Inc.
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *  - Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  - Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *  - Neither the name of Analog Devices, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *  - The use of this software may or may not infringe the patent rights
 *    of one or more patent holders.  This license does not release you
 *    from the requirement that you obtain separate licenses from these
 *    patent holders to use this software.
 *  - Use of the software either in source or binary form, must be run
 *    on or directly connected to an Analog Devices Inc. component.
 *
 * THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT,
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
********************************************************************************
 *   SVN Revision: 541
*******************************************************************************/
#ifndef __AD8403_H__
#define __AD8403_H__

/*****************************************************************************/
/* AD8403                                                                    */
/*****************************************************************************/

/* AD8403 GPIO */
#define AD8403_RESET_OUT     GPIO1_PIN_OUT
#define AD8403_RESET_LOW     GPIO1_PIN_LOW
#define AD8403_RESET_HIGH    GPIO1_PIN_HIGH
#define AD8403_SHDN_OUT      GPIO2_PIN_OUT
#define AD8403_SHDN_LOW      GPIO2_PIN_LOW
#define AD8403_SHDN_HIGH     GPIO2_PIN_HIGH

/* AD8403 channel addresses */
#define AD8403_CH1          0x00
#define AD8403_CH2          0x01
#define AD8403_CH3          0x02
#define AD8403_CH4          0x03

/******************************************************************************/
/* Functions Prototypes                                                       */
/******************************************************************************/

/* Initialize the communication with the device. */
unsigned char AD8403_Init(void);

/* Send data to one of the 4 channels available. */
void AD8403_SendDataWord(unsigned char address, 
                         unsigned char data);

#endif	// AD8403_H_
